Package org.apache.iotdb.jdbc

## Class IoTDBDataSourceFactory

- java.lang.Object
- - org.apache.iotdb.jdbc.IoTDBDataSourceFactory

All Implemented Interfaces:
  `org.osgi.service.jdbc.DataSourceFactory`

    public class IoTDBDataSourceFactory
    extends Object
    implements org.osgi.service.jdbc.DataSourceFactory

### Field Summary

### Fields inherited from interface org.osgi.service.jdbc.DataSourceFactory

`JDBC_DATABASE_NAME, JDBC_DATASOURCE_NAME, JDBC_DESCRIPTION, JDBC_INITIAL_POOL_SIZE, JDBC_MAX_IDLE_TIME, JDBC_MAX_POOL_SIZE, JDBC_MAX_STATEMENTS, JDBC_MIN_POOL_SIZE, JDBC_NETWORK_PROTOCOL, JDBC_PASSWORD, JDBC_PORT_NUMBER, JDBC_PROPERTY_CYCLE, JDBC_ROLE_NAME, JDBC_SERVER_NAME, JDBC_URL, JDBC_USER, OSGI_JDBC_DRIVER_CLASS, OSGI_JDBC_DRIVER_NAME, OSGI_JDBC_DRIVER_VERSION`

### Constructor Summary

Constructors
`IoTDBDataSourceFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ConnectionPoolDataSource` `createConnectionPoolDataSource​(Properties properties)`
`DataSource` `createDataSource​(Properties properties)`
`Driver` `createDriver​(Properties properties)`
`XADataSource` `createXADataSource​(Properties properties)`
`void` `setProperties​(IoTDBDataSource ds, Properties prop)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IoTDBDataSourceFactory

    public IoTDBDataSourceFactory()

### Method Detail

#### createDataSource

    public DataSource createDataSource​(Properties properties)

Specified by:
  `createDataSource` in interface `org.osgi.service.jdbc.DataSourceFactory`

#### setProperties

    public void setProperties​(IoTDBDataSource ds,
                              Properties prop)

#### createConnectionPoolDataSource

    public ConnectionPoolDataSource createConnectionPoolDataSource​(Properties properties)

Specified by:
  `createConnectionPoolDataSource` in interface `org.osgi.service.jdbc.DataSourceFactory`

#### createXADataSource

    public XADataSource createXADataSource​(Properties properties)

Specified by:
  `createXADataSource` in interface `org.osgi.service.jdbc.DataSourceFactory`

#### createDriver

    public Driver createDriver​(Properties properties)

Specified by:
  `createDriver` in interface `org.osgi.service.jdbc.DataSourceFactory`